Bug 8131 - Haiku doesn't need -lm
Haiku doesn't need -lm
Status: CLOSED FIXED
Product: ccache
Classification: Unclassified
Component: ccache
3.1.4
All Other
: P5 normal
: 3.1.5
Assigned To: Joel Rosdahl
Joel Rosdahl
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-12 16:30 UTC by Scott McCreary
Modified: 2011-05-29 15:51 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Scott McCreary 2011-05-12 16:30:01 UTC
Instead of including -lm by default, perhaps do a check for cos in libm and if found then add the -lm.

http://ports.haiku-files.org/wiki/CommonProblems

Haiku has the math lib built into libroot, same as BeOS did.  This may affect other systems as well.

Ccache is used by Paladin, and IDE for Haiku.

-scottmc
Comment 1 Joel Rosdahl 2011-05-21 18:11:39 UTC
Fixed in a8e73e8e617942cf2c25a6301415488c74b5662d.
Comment 2 Joel Rosdahl 2011-05-29 15:51:45 UTC
Included in v3.1.5.